<button class="btn m-2" onclick="create_modal.showModal()">Créer un site</button>
<dialog id="create_modal" class="modal">
    <div class="modal-box">
        <h3 class="font-bold text-lg mb-4">Créer un nouveau site</h3>
        <form 
            hx-post="{% url 'create-site' %}" 
            hx-swap="innerHTML" 
            hx-target="#sites"
            hx-on::after-request="this.reset()"
            @submit="create_modal.close()"
            class="flex flex-col gap-4"
        >
            {% csrf_token %}
            <input type="text" placeholder="Nom" name="name" class="input input-bordered w-full" />
            <button class="btn">Créer</button>
        </form>
    </div>
    <form method="dialog" class="modal-backdrop">
        <button>close</button>
    </form>
</dialog>